%define module Clutter
%define m_distro Clutter
%define m_name Clutter
%define m_author_id unknown
# due X
%define _disable_test 1

%define oversion 0.820
%define major 0.8
%define oname clutter-perl
Name: perl-Clutter
Version: %major.2.0
Release: alt1

Summary: Simple GL-based canvas library

License: LGPL v2+
Group: System/Libraries
Url: http://www.clutter-project.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.clutter-project.org/sources/%oname/%major/%oname-%version.tar.bz2

# Automatically added by buildreq on Fri Dec 12 2008
BuildRequires: libGL-devel libclutter-cairo-devel libclutter-gst-devel libclutter-gtk-devel nvidia_glx_173.14.12 perl-Cairo-devel perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-GStreamer perl-Gtk2-devel perl-Log-Agent

%description
COGL is a low level OpenGL abstraction library developed for (and part of)
Clutter. It is used primarily by Clutter to provide a common rendering
API that works transparently across OpenGL >=1.4, OpenGL ES 1.1 and
OpenGL ES 2.0.

%prep
%setup -q -n %m_distro-%oversion

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc AUTHORS ChangeLog README NEWS
%perl_vendor_autolib/Clutter/
%perl_vendor_archlib/Clutter/
%perl_vendor_archlib/Clutter.pm
%perl_vendor_archlib/Gtk2/*
%perl_vendor_man3dir/*

%changelog
* Fri Dec 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.2.0-alt1
- initial build for ALT Linux Sisyphus

